edu.northwestern.at.utils

## Class MapFactory

- java.lang.Object
- - edu.northwestern.at.utils.MapFactory

-     public class MapFactory
      extends java.lang.Object

  Factory for creating maps.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapFactory()` Don't allow instantiation, do allow overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> java.util.Map<K,V>` | `createNewCompressedMap()` Create a new compressed unsorted map (CompressedHashMap).
    `static <K,V> java.util.Map<K,V>` | `createNewCompressedMap(int capacity)` Create a new compressed unsorted map (HashMap) with specified initial capacity.
    `static <K,V> java.util.Map<K,V>` | `createNewLinkedMap()` Create a new map with keys in insertion order (LinkedHashMap).
    `static <K,V> java.util.Map<K,V>` | `createNewLinkedMap(int capacity)` Create a new map with keys in insertion order (LinkedHashMap) with specified initial capacity..
    `static <K,V> java.util.Map<K,V>` | `createNewMap()` Create a new unsorted map (HashMap).
    `static <K,V> java.util.Map<K,V>` | `createNewMap(int capacity)` Create a new unsorted map (HashMap) with specified initial capacity.
    `static <K,V> java.util.Map<K,V>` | `createNewSortedMap()` Create a new sorted map (TreeMap).
    `static <K,V> java.util.Map<K,V>` | `createNewSynchronizedMap()` Create a new synchronized unsorted map (HashMap).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapFactory

          protected MapFactory()

      Don't allow instantiation, do allow overrides.

  - ### Method Detail

    - #### createNewMap

          public static <K,V> java.util.Map<K,V> createNewMap()

      Create a new unsorted map (HashMap).

    - #### createNewSynchronizedMap

          public static <K,V> java.util.Map<K,V> createNewSynchronizedMap()

      Create a new synchronized unsorted map (HashMap).

    - #### createNewMap

          public static <K,V> java.util.Map<K,V> createNewMap(int capacity)

      Create a new unsorted map (HashMap) with specified initial capacity.
      Parameters:
        `capacity` - Initial capacity.

    - #### createNewCompressedMap

          public static <K,V> java.util.Map<K,V> createNewCompressedMap()

      Create a new compressed unsorted map (CompressedHashMap).

    - #### createNewCompressedMap

          public static <K,V> java.util.Map<K,V> createNewCompressedMap(int capacity)

      Create a new compressed unsorted map (HashMap) with specified initial capacity.
      Parameters:
        `capacity` - Initial capacity.

    - #### createNewLinkedMap

          public static <K,V> java.util.Map<K,V> createNewLinkedMap()

      Create a new map with keys in insertion order (LinkedHashMap).

    - #### createNewLinkedMap

          public static <K,V> java.util.Map<K,V> createNewLinkedMap(int capacity)

      Create a new map with keys in insertion order (LinkedHashMap) with specified initial capacity..
      Parameters:
        `capacity` - Initial capacity.

    - #### createNewSortedMap

          public static <K,V> java.util.Map<K,V> createNewSortedMap()

      Create a new sorted map (TreeMap).